%global _binary_filedigest_algorithm 1
%global _source_filedigest_algorithm 1
%global _binary_payload w9.gzdio
%global _source_payload w9.gzdio

Name: oauth
Summary: An open protocol to allow API authentication
Group: Internet/Applications
License: ASL 2.0
Version: 20100601
Release: 4%{?dist}
URL: http://code.google.com/p/oauth/
# svn export http://oauth.googlecode.com/svn/code/java oauth-20100601
# find oauth-20100601 -name "*.jar" -delete
# tar czf oauth-20100601-no-jars-svn.tar.gz oauth-20100601
Source: %{name}-%{version}-no-jars-svn.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: servlet
BuildRequires: jakarta-commons-httpclient >= 3.1
BuildRequires: maven-compiler-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin

Requires: java >= 0:1.6.0
%define __jar_repack %{nil}

%description
An open protocol to allow API authentication
in a simple and standard method from desktop and
web applications.

%package -n %{name}-javadoc
Summary:       Javadoc for %{name}
Group:         Documentation
BuildRequires: jpackage-utils

%description -n %{name}-javadoc
%{summary}.

%prep
%setup -q
%pom_disable_module example
%pom_disable_module core-old
%pom_disable_module test core/pom.xml
%pom_remove_plugin :maven-eclipse-plugin
%pom_remove_dep org.mortbay.jetty: core/httpclient4/pom.xml

%build
export MAVEN_REPO_LOCAL=${PWD}/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=remote-repository::default::file://${PWD}/maven2-brew
export MAVEN_OPTS=
%{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} -DperformRelease -Denforcer.skip -Dmaven.test.skip=true deploy javadoc:aggregate

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__mkdir_p} %{buildroot}%{_mavenpomdir}

for artifact in %{name} %{name}-consumer %{name}-provider %{name}-httpclient3 %{name}-httpclient4; do
    %{__cp} -p maven2-brew/net/%{name}/core/${artifact}/%{version}/${artifact}-%{version}.jar %{buildroot}%{_javadir}/%{name}/${artifact}.jar
    %{__cp} -p maven2-brew/net/%{name}/core/${artifact}/%{version}/${artifact}-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-${artifact}.pom
    %add_maven_depmap JPP.%{name}-${artifact}.pom %{name}/${artifact}.jar
done

%{__cp} -p maven2-brew/net/%{name}/%{name}-parent/%{version}/%{name}-parent-%{version}.pom  %{buildroot}%{_mavenpomdir}/JPP-%{name}-parent.pom
%{__cp} -p maven2-brew/net/%{name}/core/%{name}-core-parent/%{version}/%{name}-core-parent-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}-core-parent.pom

%add_maven_depmap JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-core-parent.pom

#javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_mavenpomdir}
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}

%files -n %{name}-javadoc
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadocdir}/%{name}

%changelog
* Tue Mar 04 2014 Alex Wood <awood@redhat.com> 20100601-4
- rebuild using maven

* Wed Mar 21 2012 Chris Duryee (beav) <cduryee@redhat.com>
- remove version from jar filename (cduryee@redhat.com)
- add in missing files (cduryee@redhat.com)

* Wed Feb 29 2012 Chris Duryee (beav) <cduryee@redhat.com>
-  tag for building

* Tue Feb 28 2012 Chris Duryee (beav) <cduryee@redhat.com>
- new package built with tito

* Tue Feb 28 2012 Chris Duryee (beav) <cduryee@redhat.com>
- initial commit
